SetRandomSeed(GameGetFrameNum(), GetUpdatedEntityID())

if Random(1, 50) == 1 then
	local leak_cum_entity = GetUpdatedEntityID()
	local rand_comp = EntityGetComponent(leak_cum_entity, "VariableStorageComponent")[Random(1, #EntityGetComponent(leak_cum_entity, "VariableStorageComponent"))]
	local cum_type = ComponentGetValue2(rand_comp, "name")
	local cum_amount = ComponentGetValue2(rand_comp, "value_int")
	local entity_x, entity_y = EntityGetTransform(GetUpdatedEntityID())
	local random_cum_amount = Random(4, 8)
	GameCreateParticle(cum_type, entity_x, entity_y, math.min(random_cum_amount, cum_amount), 1, -1, false)
	ComponentSetValue2(rand_comp, "value_int", cum_amount - random_cum_amount)
	if ComponentGetValue2(rand_comp, "value_int") <= 0 then
		EntityRemoveComponent(leak_cum_entity, rand_comp)
	end
	if EntityGetComponent(leak_cum_entity, "VariableStorageComponent") == nil then
		EntityKill(leak_cum_entity)
	end
	--[[
	local desc = "You're leaking cum."
	if cum_amount > 1750 then
		desc = "You most certainly don't feel like having sex. You're feeling so full you might pop."
	elseif cum_amount > 1500 then
		desc = "You're feeling sickly full and dripping. Any more creampies will hurt you."
	elseif cum_amount > 1400 then
		desc = "You're feeling sickly full. Any more creampies might hurt you."
	elseif cum_amount > 1000 then
		desc = "You're really full of cum. Movement is difficult."
	elseif cum_amount > 900 then
		desc = "You're full of cum. Any more will make movement difficult."
	elseif cum_amount > 250 then
		desc = "You can still fit more cum inside of you."
	elseif cum_amount > 0 then
		desc = "You're almost empty."
	end
	ComponentSetValue2(EntityGetFirstComponent(leak_cum_entity, "UIIconComponent"), "description", desc)
	]]
end